> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get an API

GET https://api.getpostman.com/apis/{apiId}

Gets information about an API.

**Note:**

- Git-connected APIs will only return the `versions` and `gitInfo` query responses. This is because schema and collection information is stored in the connected Git repository. The `gitInfo` object only lists the repository and folder locations of the files.
- API viewers can only use the `versions` option in the `include` query parameter.


Reference: https://learning.postman.com/api-docs/api-reference/api/get-api

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /apis/{apiId}:
    get:
      operationId: getApi
      summary: Get an API
      description: >
        Gets information about an API.


        **Note:**


        - Git-connected APIs will only return the `versions` and `gitInfo` query
        responses. This is because schema and collection information is stored
        in the connected Git repository. The `gitInfo` object only lists the
        repository and folder locations of the files.

        - API viewers can only use the `versions` option in the `include` query
        parameter.
      tags:
        - api
      parameters:
        - name: apiId
          in: path
          description: The API's ID.
          required: true
          schema:
            $ref: '#/components/schemas/apiId'
        - name: include
          in: query
          description: >
            An array that contains additional resources to include in the
            response. Use this parameter to query for element links to the API,
            such as collections and schemas:

            - `collections` — Query for linked Postman collections.

            - `versions` — Query for linked versions.

            - `schemas` — Query for linked schemas.

            - `gitInfo` — Query for information about the API's git-linked
            repository. This query only returns the linked repository and folder
            locations of the files. It does not return `collections` or
            `schemas` information.


            **Note:**


            API viewers can only use the `versions` option.
          required: false
          schema:
            $ref: '#/components/schemas/apiInclude'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          description: >-
            The `application/vnd.api.v10+json` request header required to use
            the endpoint.
          required: true
          schema:
            $ref: '#/components/schemas/v10Accept'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApi'
        '400':
          description: Missing v10 Accept Header
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorNameMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiRequestNotFoundError'
        '422':
          description: v9 Unsupported
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    apiId:
      type: string
      title: apiId
    ApiIncludeItems:
      type: string
      enum:
        - collections
        - versions
        - schemas
        - gitInfo
      title: ApiIncludeItems
    apiInclude:
      type: array
      items:
        $ref: '#/components/schemas/ApiIncludeItems'
      title: apiInclude
    v10Accept:
      type: string
      enum:
        - application/vnd.api.v10+json
      title: v10Accept
    GetApi0:
      type: object
      properties:
        id:
          type: string
          description: The API's ID.
        name:
          type: string
          description: The API's name.
        summary:
          type: string
          description: The API's short summary.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the API was created.
        createdBy:
          type: integer
          format: int64
          description: The Postman ID of the user that created the API.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the API was updated.
        updatedBy:
          type: integer
          format: int64
          description: The Postman ID of the user that updated the API.
        description:
          type: string
          description: The API's description.
      title: GetApi0
    GetApiOneOf1GitInfo:
      type: object
      properties:
        domain:
          type:
            - string
            - 'null'
          description: The domain at which the Git repository is hosted.
        repository:
          type: string
          description: The repository's name.
        organization:
          type: string
          description: The organization that owns the repository.
        schemaFolder:
          type: string
          description: The API definition's repository folder location.
        collectionFolder:
          type: string
          description: The API definition's collection repository folder location.
      description: Information about the API's Git repository integration.
      title: GetApiOneOf1GitInfo
    GetApiOneOf1SchemasItems:
      type: object
      properties:
        id:
          type: string
          description: The schema's ID.
      description: Information about the schema.
      title: GetApiOneOf1SchemasItems
    GetApiOneOf1VersionsItems:
      type: object
      properties:
        id:
          type: string
          description: The version's ID.
        name:
          type: string
          description: The version's name.
      description: Information about the version.
      title: GetApiOneOf1VersionsItems
    GetApiOneOf1CollectionsItems:
      type: object
      properties:
        id:
          type: string
          description: The collection's ID.
      description: Information about the collection.
      title: GetApiOneOf1CollectionsItems
    GetApi1:
      type: object
      properties:
        id:
          type: string
          description: The API's ID.
        name:
          type: string
          description: The API's name.
        summary:
          type: string
          description: The API's short summary.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the API was created.
        createdBy:
          type: integer
          format: int64
          description: The Postman ID of the user that created the API.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the API was updated.
        updatedBy:
          type: integer
          format: int64
          description: The Postman ID of the user that updated the API.
        description:
          type: string
          description: The API's description.
        gitInfo:
          $ref: '#/components/schemas/GetApiOneOf1GitInfo'
          description: Information about the API's Git repository integration.
        schemas:
          type: array
          items:
            $ref: '#/components/schemas/GetApiOneOf1SchemasItems'
          description: The API's schemas.
        versions:
          type: array
          items:
            $ref: '#/components/schemas/GetApiOneOf1VersionsItems'
          description: The API's versions.
        collections:
          type: array
          items:
            $ref: '#/components/schemas/GetApiOneOf1CollectionsItems'
          description: The API's collections.
      description: >
        The API's extended data schema.


        **Note:**


        Git-connected APIs will only return the `versions` and `gitInfo` query
        responses. This is because schema and collection information is stored
        in the connected Git repository. The `gitInfo` object only lists the
        repository and folder locations of the files.
      title: GetApi1
    getApi:
      oneOf:
        - $ref: '#/components/schemas/GetApi0'
        - $ref: '#/components/schemas/GetApi1'
      title: getApi
    apiErrorNameMessage:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: apiErrorNameMessage
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorErrorObjTypeTitleDetailError:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Details about the error.
      description: Information about the error.
      title: CommonErrorErrorObjTypeTitleDetailError
    commonErrorErrorObjTypeTitleDetail:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorErrorObjTypeTitleDetailError'
          description: Information about the error.
      title: commonErrorErrorObjTypeTitleDetail
    GetApiRequestNotFoundError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorErrorObjTypeTitleDetail'
      title: GetApiRequestNotFoundError
    GetApiRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "collections": [
    {
      "id": "16bb367e-fafb-4ef3-933b-ee3d971866fb"
    }
  ],
  "createdAt": "2022-06-09T14:48:45.000Z",
  "createdBy": 12345678,
  "description": "This is a test API.",
  "gitInfo": {},
  "id": "5360b75f-447e-467c-9299-12fd6c92450d",
  "name": "Test API",
  "schemas": [
    {
      "id": "ae2b9ab2-28f2-401d-912f-eca09a78e98b"
    }
  ],
  "summary": "Test API.",
  "updatedAt": "2022-06-09T19:50:49.000Z",
  "updatedBy": 12345678,
  "versions": [
    {
      "id": "18ccb2dc-1746-4945-ba76-8152b37cr123",
      "name": "v1.0.0"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002"

headers = {
    "Accept": "application/vnd.api.v10+json",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002';
const options = {
  method: 'GET',
  headers: {Accept: 'application/vnd.api.v10+json', 'x-api-key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.api.v10+json")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/vnd.api.v10+json'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002")
  .header("Accept", "application/vnd.api.v10+json")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002', [
  'headers' => [
    'Accept' => 'application/vnd.api.v10+json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.api.v10+json");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "Accept": "application/vnd.api.v10+json",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```